com.microfocus.awm.localsystem

## Class DefaultConfigurationSystem

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.core.AbstractTaurusSystem
      - - com.microfocus.awm.core.ConfiguredTaurusSystem
        - - com.microfocus.awm.localsystem.LocalTaurusSystem
          - - com.microfocus.awm.localsystem.DefaultConfigurationSystem

- All Implemented Interfaces:
    IRemoteSystemAssociation, IResource, ITaurusSystem, org.eclipse.core.runtime.IAdaptable

      public class DefaultConfigurationSystem
      extends LocalTaurusSystem

  Local AWM system which was created from a default configurations XML file. Contains and persists information about it's master configuration file, which can be obtained by an OS command.
  Author:
    RalfP

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

    - ### Fields inherited from interface com.microfocus.awm.model.ITaurusSystem

      `ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConfigurationSystem(TaurusSystemPersistableProxy pSystemPersistableProxy)` Creates a new `DefaultConfigurationSystem` from a persistable proxy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProviderID()` Gets the ID of the `ISystemProvider` for the AWM system.
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)` Refreshes the system and all its applications.

    - ### Methods inherited from class com.microfocus.awm.localsystem.LocalTaurusSystem

      `getLocalSystemImage, getRemoteSystemImage, setRemoteSystemImage`

    - ### Methods inherited from class com.microfocus.awm.core.ConfiguredTaurusSystem

      `getApplications`

    - ### Methods inherited from class com.microfocus.awm.core.AbstractTaurusSystem

      `delete, equals, getCustomAttribute, getCustomAttributes, getSystemImage, hashCode`

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### DefaultConfigurationSystem

          public DefaultConfigurationSystem(TaurusSystemPersistableProxy pSystemPersistableProxy)
                                     throws TaurusCoreException

      Creates a new `DefaultConfigurationSystem` from a persistable proxy.
      Parameters:
        `pSystemPersistableProxy` - the persistable proxy
      Throws:
        `TaurusCoreException` - if creating the system fails (e.g. a system with the same unique name already exists)

  - ### Method Detail

    - #### refresh

          public void refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                       throws TaurusCoreException

      Description copied from interface: `ITaurusSystem`
      Refreshes the system and all its applications. This has the same effect as removing the system and adding it again, except existing object instances will not be replaced.
      Specified by:
        `refresh` in interface `ITaurusSystem`
      Overrides:
        `refresh` in class `LocalTaurusSystem`
      Parameters:
        `pMonitor` - a progress monitor
      Throws:
        `TaurusCoreException` - if refreshing the system fails for any reason

    - #### getProviderID

          public java.lang.String getProviderID()

      Description copied from interface: `ITaurusSystem`
      Gets the ID of the `ISystemProvider` for the AWM system. Can return `null` if the system does not have a system provider.
      Specified by:
        `getProviderID` in interface `ITaurusSystem`
      Overrides:
        `getProviderID` in class `LocalTaurusSystem`
      Returns:
        the ID of the system provider or `null`
      See Also:
        `TaurusExtensionPointUtility.getTaurusSystemProviders()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.